org.richfaces.renderkit

## Class ListRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.ListRendererBase

- Direct Known Subclasses:
    ListRenderer

      public abstract class ListRendererBase
      extends RendererBase

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
    `void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeListItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ListType listType)`
    `protected String` | `getElementId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected Integer` | `getFirst(javax.faces.component.UIComponent component)`
    `protected org.richfaces.renderkit.ListRendererBase.ItemsEncoder` | `getItemsEncoderByType(ListType type)`
    `protected String` | `getListClass(ListType type)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component, ListType listType)`
    `protected ListType` | `getType(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListRendererBase

          public ListRendererBase()

  - ### Method Detail

    - #### getListClass

          protected String getListClass(ListType type)

    - #### getItemsEncoderByType

          protected org.richfaces.renderkit.ListRendererBase.ItemsEncoder getItemsEncoderByType(ListType type)

    - #### getType

          protected ListType getType(javax.faces.component.UIComponent component)

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component,
                             ListType listType)

    - #### getElementId

          protected String getElementId(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)

    - #### getFirst

          protected Integer getFirst(javax.faces.component.UIComponent component)

    - #### encodeListItems

          protected void encodeListItems(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component,
                             ListType listType)
                                  throws IOException

      Throws:
        `IOException`

    - #### doEncodeBegin

          public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                             throws IOException

      Description copied from class: `RendererBase`
      Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeBegin(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeBegin` in class `RendererBase`
      Throws:
        `IOException`

    - #### doEncodeChildren

          public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                throws IOException

      Overrides:
        `doEncodeChildren` in class `RendererBase`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.